/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.examplesingle.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.math.BigDecimal;

/**
 * 单项工程造价指标Entity
 * @author ssrh
 * @version 2018-08-29
 */
public class ExampleSingle extends DataEntity<ExampleSingle> {
	
	private static final long serialVersionUID = 1L;
	private String exampleId;		// 概况id
	private String exampleIndicesId;		// 项id
	private String indexId;		// 指标id
	private String unit;		// 项单位
	private String digits;		// 位数
	private String name;		// 费用名称
	private String money;		// 金额
	private String cost;		// 单位造价
	private String proportion;		// 占造价比例
	private BigDecimal counts;
	private BigDecimal avgs;
	private BigDecimal mins;
	private BigDecimal maxs;
	private BigDecimal sums;
	
	public ExampleSingle() {
		super();
	}

	public ExampleSingle(String id){
		super(id);
	}


	public String getExampleId() {
		return exampleId;
	}

	public void setExampleId(String exampleId) {
		this.exampleId = exampleId;
	}
	

	public String getExampleIndicesId() {
		return exampleIndicesId;
	}

	public void setExampleIndicesId(String exampleIndicesId) {
		this.exampleIndicesId = exampleIndicesId;
	}
	

	public String getIndexId() {
		return indexId;
	}

	public void setIndexId(String indexId) {
		this.indexId = indexId;
	}
	

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	

	public String getDigits() {
		return digits;
	}

	public void setDigits(String digits) {
		this.digits = digits;
	}
	
	@ExcelField(title="费用名称", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="金额(元)", align=2, sort=2)
	public String getMoney() {
		return money;
	}

	public void setMoney(String money) {
		this.money = money;
	}
	
	@ExcelField(title="单位造价(元/m2)", align=2, sort=3)
	public String getCost() {
		return cost;
	}

	public void setCost(String cost) {
		this.cost = cost;
	}
	
	@ExcelField(title="占造价比例(%)", align=2, sort=4)
	public String getProportion() {
		return proportion;
	}

	public void setProportion(String proportion) {
		this.proportion = proportion;
	}

	public BigDecimal getCounts() {
		return counts;
	}

	public void setCounts(BigDecimal counts) {
		this.counts = counts;
	}

	public BigDecimal getAvgs() {
		return avgs;
	}

	public void setAvgs(BigDecimal avgs) {
		this.avgs = avgs;
	}

	public BigDecimal getMins() {
		return mins;
	}

	public void setMins(BigDecimal mins) {
		this.mins = mins;
	}

	public BigDecimal getMaxs() {
		return maxs;
	}

	public void setMaxs(BigDecimal maxs) {
		this.maxs = maxs;
	}

	public BigDecimal getSums() {
		return sums;
	}

	public void setSums(BigDecimal sums) {
		this.sums = sums;
	}
}